unit UfrmMain;

{ $Revision: 5 $ }
{  $Archive: /Delphi 2.0/Projekte/NonVCCDemo/UfrmMain.pas $ }
{ $Workfile: UfrmMain.pas $ }
{   $Author: Cueb $ }
{     $Date: 24.02.97 11:11 $ }
{  $Modtime: 6.02.97 0:01 $ }
{  $History: UfrmMain.pas $ }
{  }
{ *****************  Version 5  ***************** }
{ User: Cueb         Date: 24.02.97   Time: 11:11 }
{ Updated in $/Delphi 2.0/Projekte/NonVCCDemo }
{  }
{ *****************  Version 4  ***************** }
{ User: Cueb         Date: 4.08.96    Time: 14:30 }
{ Updated in $/Delphi 2.0/Projekte/NonVCCDemo }
{ Version 1.03 }
{  }
{ *****************  Version 3  ***************** }
{ User: Cueb         Date: 27.07.96   Time: 17:20 }
{ Updated in $/Delphi 2.0/Projekte/NonVCCDemo }
{  }
{ *****************  Version 2  ***************** }
{ User: Cueb         Date: 21.07.96   Time: 14:10 }
{ Updated in $/Delphi 2.0/Projekte/NonVCCDemo }
{ Version 1.01 }
{  }
{ *****************  Version 1  ***************** }
{ User: Cueb         Date: 24.06.96   Time: 10:00 }
{ Created in $/Delphi 2.0/Projekte/NonVCCDemo }
{  $NoKeywords: $ }

interface

uses
	Windows,
	Classes,
	Graphics,
	Forms,
	Controls,
	Menus,
	Dialogs,
	StdCtrls,
	Buttons,
	ExtCtrls,
	ComCtrls,
	NonVCContainer,
	DB,
	DBTables;

type
	TfrmMain = class(TForm)
		pnlToolbar: TPanel;
		btnOpenFile: TSpeedButton;
		btnSaveFile: TSpeedButton;
    Panel1: TPanel;
    btnExit: TSpeedButton;
    pcMain: TPageControl;
    tsFirst: TTabSheet;
    tsSecond: TTabSheet;
    btnPrint: TSpeedButton;
    Memo1: TMemo;
    MainMenu: TMainMenu;
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    PrintDialog: TPrintDialog;
    ClickOnButton: TNonVCContainer;
    PrinterSetupDialog: TPrinterSetupDialog;
    FindDialog: TFindDialog;
    ReplaceDialog: TReplaceDialog;
    Hilfe1: TMenuItem;
    Info1: TMenuItem;
    Hilfebenutzen1: TMenuItem;
    Lernprogramm1: TMenuItem;
    Suchen1: TMenuItem;
    Tastatur1: TMenuItem;
    Verfahren1: TMenuItem;
    Befehle1: TMenuItem;
    Index1: TMenuItem;
    Inhalt1: TMenuItem;
    Datei1: TMenuItem;
    Beenden1: TMenuItem;
    N1: TMenuItem;
    Druckereinrichtung1: TMenuItem;
    Drucken1: TMenuItem;
    N2: TMenuItem;
    Speichernunter1: TMenuItem;
    Speichern1: TMenuItem;
    ffnen1: TMenuItem;
    Neu1: TMenuItem;
    Bearbeiten1: TMenuItem;
    Objekt1: TMenuItem;
    Verknpfungen1: TMenuItem;
    N3: TMenuItem;
    Gehezu1: TMenuItem;
    Ersetzen1: TMenuItem;
    Suchen2: TMenuItem;
    N4: TMenuItem;
    Inhalteeinfgen1: TMenuItem;
    Einfgen1: TMenuItem;
    Kopieren1: TMenuItem;
    Ausschneiden1: TMenuItem;
    N5: TMenuItem;
    WiederholenBefehl1: TMenuItem;
    Rckgngig1: TMenuItem;
    Table1: TTable;
    Table1calcTest: TBooleanField;
    MoveMouseOverMe: TNonVCContainer;
    NonVCContainer3: TNonVCContainer;
		procedure FormCreate(Sender: TObject);
		procedure cmdExit(Sender: TObject);
		procedure cmdOpen(Sender: TObject);
		procedure cmdSave(Sender: TObject);
		procedure cmdSaveAs(Sender: TObject);
		procedure cmdAbout(Sender: TObject);
		procedure ShowHint(Sender: TObject);
    procedure cmdPrint(Sender: TObject);
    procedure cmdPrinterSetup(Sender: TObject);
    procedure cmdNew(Sender: TObject);
    procedure cmdFind(Sender: TObject);
    procedure cmdReplace(Sender: TObject);
    procedure cmdUndo(Sender: TObject);
    procedure cmdRedo(Sender: TObject);
    procedure cmdCut(Sender: TObject);
    procedure cmdCopy(Sender: TObject);
    procedure cmdPaste(Sender: TObject);
    procedure cmdPasteSpecial(Sender: TObject);
    procedure cmdRepeatFind(Sender: TObject);
    procedure cmdGoto(Sender: TObject);
    procedure cmdHelpContents(Sender: TObject);
    procedure cmdHelpIndex(Sender: TObject);
    procedure cmdHelpCommands(Sender: TObject);
    procedure cmdHelpHowTo(Sender: TObject);
    procedure cmdHelpKeyboard(Sender: TObject);
    procedure cmdHelpFind(Sender: TObject);
    procedure cmdHelpTutorial(Sender: TObject);
    procedure cmdHelpOnHelp(Sender: TObject);
	private
		FFileName: String;
	public
		{ Public declarations }
	end;

var
	frmMain: TfrmMain;

implementation

uses
	SysUtils;

{$R *.DFM}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
	Application.OnHint := ShowHint;
end;

procedure TfrmMain.cmdOpen(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdSave(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdSaveAs(Sender: TObject);
begin
	if SaveDialog.Execute then	begin
		if FileExists(SaveDialog.FileName) then begin
		end;
	end;
end;

procedure TfrmMain.cmdExit(Sender: TObject);
begin
	Application.MainForm.Close;
end;

procedure TfrmMain.cmdAbout(Sender: TObject);
begin
	//
end;

procedure TfrmMain.ShowHint(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdPrint(Sender: TObject);
begin
	// Prints the actual document
	if PrintDialog.Execute then begin
	end;
end;

procedure TfrmMain.cmdPrinterSetup(Sender: TObject);
begin
	// PrinterSetupDialog
	PrinterSetupDialog.Execute;
end;

procedure TfrmMain.cmdNew(Sender: TObject);
begin
	// New document
end;

procedure TfrmMain.cmdFind(Sender: TObject);
begin
	// Find ...
	FindDialog.Execute;
end;

procedure TfrmMain.cmdReplace(Sender: TObject);
begin
	ReplaceDialog.Execute;
end;

procedure TfrmMain.cmdUndo(Sender: TObject);
begin
	// Undo
end;

procedure TfrmMain.cmdRedo(Sender: TObject);
begin
	// Redo
end;

procedure TfrmMain.cmdCut(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdCopy(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdPaste(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdPasteSpecial(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdRepeatFind(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdGoto(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpContents(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpIndex(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpCommands(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpHowTo(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpKeyboard(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpFind(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpTutorial(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpOnHelp(Sender: TObject);
begin
	//
end;

end.

